%{?nodejs_find_provides_and_requires}

%global packagename conventional-commits-parser

# tests run fine manually, but fail in mock
%global enable_tests 0

Name:		nodejs-conventional-commits-parser
Version:	1.3.0
Release:	1%{?dist}
Summary:	Parse raw conventional commits

License:	MIT
URL:		https://github.com/conventional-changelog/conventional-commits-parser
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

# License file requested at
# https://github.com/conventional-changelog-archived-repos/conventional-commits-parser/pull/32

Patch0:		conventional-commits-parser_license.patch


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(lodash)
BuildRequires:	npm(trim-off-newlines)
BuildRequires:	npm(through2)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(chai)
BuildRequires:	npm(concat-stream)
BuildRequires:	npm(is-text-path)
BuildRequires:	npm(JSONStream)
BuildRequires:	npm(lodash)
BuildRequires:	npm(meow)
BuildRequires:	npm(split2)
BuildRequires:	npm(trim-off-newlines)
%endif

%description
Parse raw conventional commits


%prep
%autosetup -n package -p1

%nodejs_fixdep lodash

sed -i '1s/env //' cli.js

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
for i in `ls node_modules | sed s/mocha//`
do
	rpm -q nodejs-`echo $i | tr [A-Z] [a-z]`
done
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md CHANGELOG.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Sat May  6 2017 Jared Smith <jsmith@fedoraproject.org> - 1.3.0-1
- Initial packaging
